
function papr_in_dB=papr(y) 
%****************** variables ************************* 
% y            : Input data (para-by-nd matrix) 
% para         : Number of parallel channel to transmit (points) 
% papr_in_dB   : PAPR(dB) of the input data 
% ***************************************************** 
 
yaverpow=mean(abs(y).^2);        
ypeakpow=max(abs(y).^2);    
p=ypeakpow./yaverpow;   
papr_in_dB=10.*log10(p); 